<?php

namespace Drupal\component_builder\Plugin\ComponentBuilder;

use Drupal\component_builder\Annotation\ComponentBuilder;
use Drupal\component_builder\ComponentBuilderBase;
use Drupal\component_builder\Entity\ComponentItem;

/**
 * Provides 'Accordion' component.
 *
 * @ComponentBuilder(
 *   id = "accordion",
 *   label = @Translation("Accordion"),
 *   group = @Translation("General components"),
 *   template = "accordion"
 * )
 */
class Accordion extends ComponentBuilderBase {

  /**
   * {@inheritdoc}
   */
  public function getTemplatePath(): string {
    return $this->getComponentPath() . '/component_' . $this->getPluginId() . '/templates';
  }

  /**
   * {@inheritdoc}
   */
  public function getLibraries(): array {
    return [
      'css' => [
        'theme' => [
          'components/component_accordion/assets/style.css' => []
        ]
      ],
      'js' => [
        'components/component_accordion/assets/style.js' => []
      ],
      "version" => "VERSION",
    ];
  }

}
