<?php

namespace Drupal\component_builder\Plugin\ComponentBuilder;

use Drupal\component_builder\Annotation\ComponentBuilder;
use Drupal\component_builder\ComponentBuilderBase;

/**
 * Provides 'Embed Block' component.
 *
 * @ComponentBuilder(
 *   id = "embed_block",
 *   label = @Translation("Embed Block"),
 *   group = @Translation("General components"),
 *   template = "embed_block",
 *   dependencies = {
 *      "block_field": {
 *         "label" : "Block field",
 *         "url" : "https://www.drupal.org/project/block_field"
 *       }
 *    }
 * )
 */
class EmbedBlock extends ComponentBuilderBase {

  /**
   * {@inheritdoc}
   */
  public function getTemplatePath(): string {
    return $this->getComponentPath() . '/component_' . $this->getPluginId() . '/templates';
  }

  /**
   * {@inheritdoc}
   */
  public function getLibraries(): array {
    return [
      'css' => [
        'theme' => [
          'components/component_embed_block/assets/style.css' => []
        ]
      ],
      'js' => [
        'components/component_embed_block/assets/style.js' => []
      ],
      "version" => "VERSION",
    ];
  }
}
