<?php

namespace Drupal\component_builder\Plugin\ComponentBuilder;

use Drupal\component_builder\Annotation\ComponentBuilder;
use Drupal\component_builder\ComponentBuilderBase;

/**
 * Provides 'Table' component.
 *
 * @ComponentBuilder(
 *   id = "table",
 *   label = @Translation("Table"),
 *   group = @Translation("General components"),
 *   template = "table"
 * )
 */
class Table extends ComponentBuilderBase {

  /**
   * {@inheritdoc}
   */
  public function getTemplatePath(): string {
    return $this->getComponentPath() . '/component_' . $this->getPluginId() . '/templates';
  }

  /**
   * {@inheritdoc}
   */
  public function getLibraries(): array {
    return [
      'css' => [
        'theme' => [
          'components/component_table/assets/style.css' => []
        ]
      ],
      'js' => [
        'components/component_table/assets/style.js' => []
      ],
      "version" => "VERSION"
    ];
  }

}
